<?php
/* Exécution d'un script PHP
   Paramètre attendu :
   	- target : Script à lancer
   Retour :
   	- 
*/

// Include des fonctions PHP communes
include_once "../php/_common.php";

// Récupérer les paramètres de la fonction
$script = $_POST["script"];
if(CLI) {$script="node_ws";}

// Répertoire Racine du projet
$module = strtoupper($script);
$cmd = 'START node '.$projectRoot.'/node/'.$script.'.js';
if(CLI) {echo $cmd.PHP_EOL;}

popen($cmd, "r");

$CR = [];
$CR["statut"] = "DONE";
$CR["cmd"] = $cmd;
echo json_encode($CR);